%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global cargo_install_bin 0

%global crate escargot

Name:           rust-escargot
Version:        0.5.11
Release:    1%{?dist}
Summary:        Cargo API written in Paris

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/escargot
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 26

%global _description %{expand:
Cargo API written in Paris.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cargo_unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cargo_unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "cargo_unstable" feature of the "%{crate}" crate.

%files       -n %{name}+cargo_unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+print-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+print-devel %{_description}

This package contains library source intended for building other packages which
use the "print" feature of the "%{crate}" crate.

%files       -n %{name}+print-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+strict_unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+strict_unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "strict_unstable" feature of the "%{crate}" crate.

%files       -n %{name}+strict_unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+test_unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test_unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "test_unstable" feature of the "%{crate}" crate.

%files       -n %{name}+test_unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.11-1
- initial build
